Page MenuHomePhabricator

Document 2020-02-04 kartotherian incident
Closed, ResolvedPublic

Event Timeline

Change 570129 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] upload VCL: maps: block Referer from twpkinfo.com

https://gerrit.wikimedia.org/r/570129

Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 4 2020, 7:41 PM

Change 570129 merged by CDanis:
[operations/puppet@production] upload VCL: maps: block Referer from twpkinfo.com

https://gerrit.wikimedia.org/r/570129

Change 570140 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] maps: Only allow our canonical domains

https://gerrit.wikimedia.org/r/570140

Change 570140 merged by Alexandros Kosiaris:
[operations/puppet@production] maps: Only allow our canonical domains

https://gerrit.wikimedia.org/r/570140

Change 570143 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] maps: allow for possibility of trailing slash on our referers

https://gerrit.wikimedia.org/r/570143

Change 570143 merged by CDanis:
[operations/puppet@production] maps: allow for possibility of trailing slash on our referers

https://gerrit.wikimedia.org/r/570143

Change 570156 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] [WIP] maps: block 3rd parties with 403, even hits

https://gerrit.wikimedia.org/r/570156

elhistorial renamed this task from Tracking task: 2020-02-04 kartotherian outage to https://www.youtube.com/watch?v=_R47Cnv_cPs.Feb 5 2020, 10:31 PM
elhistorial reassigned this task from CDanis to RuyP.
elhistorial updated the task description. (Show Details)
elhistorial set the point value for this task to 3739.
elhistorial edited subscribers, added: CDanis; removed: Mholloway, Liuxinyu970226, Aklapper, RLazarus.
Reedy renamed this task from https://www.youtube.com/watch?v=_R47Cnv_cPs to Tracking task: 2020-02-04 kartotherian outage.Feb 5 2020, 10:34 PM
Reedy reassigned this task from RuyP to CDanis.
Reedy removed the point value for this task.
Reedy updated the task description. (Show Details)
Reedy edited subscribers, added: RuyP; removed: CDanis.
Reedy edited subscribers, added: Mholloway, Liuxinyu970226, Aklapper, RLazarus; removed: RuyP.

Change 571596 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] maps 429ing: allow localhost URLs to unblock devel

https://gerrit.wikimedia.org/r/571596

Change 571596 merged by CDanis:
[operations/puppet@production] maps 429ing: allow localhost URLs, to unblock devel

https://gerrit.wikimedia.org/r/571596

akosiaris lowered the priority of this task from Unbreak Now! to Medium.Feb 20 2020, 1:42 PM
akosiaris added a subscriber: akosiaris.

I 'll remove the UBN, the issue has been mitigated for now. The decision about 3rd parties being able to use the infrastructure as a tile server remains to be taken of course, but should probably not be tracked under this task.

Krinkle renamed this task from Tracking task: 2020-02-04 kartotherian outage to Document 2020-02-04 kartotherian incident.Apr 28 2020, 7:27 PM
Krinkle updated the task description. (Show Details)
Krinkle edited projects, added SRE-OnFire-Incident-Docs; removed Wikimedia-Incident.

@CDanis: Please feel free to Edit Related Tasks...Close As Duplicate in the upper right corner. Thanks!

I don't think they're strictly speaking duplicates; this task was for tracking the incident itself and writing the document in the first place; the other task is for tracking second-party review of the writeup (like a code review). But perhaps just a distinction without a difference :)

Aklapper changed the task status from Duplicate to Resolved.Jun 8 2020, 2:05 PM

Ah. Sorry!

Change 570156 abandoned by CDanis:
[operations/puppet@production] [WIP] maps: block 3rd parties with 403, even hits

Reason:
superceded by Ia134b3ce

https://gerrit.wikimedia.org/r/570156